# Generated by Django 4.0.3 on 2022-03-10 11:32

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('client_id', models.IntegerField()),
                ('client_secret', models.CharField(max_length=8)),
            ],
        ),
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('access_token', models.CharField(max_length=40)),
                ('user_id', models.CharField(max_length=15)),
                ('full_name', models.CharField(max_length=30)),
                ('npm', models.CharField(max_length=10)),
                ('refresh_token', models.CharField(max_length=40)),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='authentication.client')),
            ],
        ),
    ]
